.\" -*- coding: utf-8; -*-  Help preconv(1) if uchardet is not present.
.\" groff -K utf8 -man -msv
.\" nroff -K utf8 -man -msv
.TH groff_mmse @MAN7EXT@ "@MDATE@" "groff @VERSION@"
.SH Namn
groff_mmse \- svenska \(rqmemorandum\(rq makro f\(:or GNU
.I roff
.
.
.\" Skrivet av Jörgen Hägg, Lund, Sverige
.
.\" ====================================================================
.\" Legal Terms
.\" ====================================================================
.\"
.\" Copyright (C) 1989-2020 Free Software Foundation, Inc.
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of
.\" this manual under the conditions for verbatim copying, provided that
.\" the entire resulting derived work is distributed under the terms of
.\" a permission notice identical to this one.
.\"
.\" Permission is granted to copy and distribute translations of this
.\" manual into another language, under the above conditions for
.\" modified versions, except that this permission notice may be
.\" included in translations approved by the Free Software Foundation
.\" instead of in the original English.
.
.
.\" Save and disable compatibility mode (for, e.g., Solaris 10/11).
.do nr *groff_groff_mmse_7_man_C \n[.cp]
.cp 0
.
.\" Define fallback for groff 1.23's MR macro if the system lacks it.
.nr do-fallback 0
.if !\n(.f           .nr do-fallback 1 \" mandoc
.if  \n(.g .if !d MR .nr do-fallback 1 \" older groff
.if !\n(.g           .nr do-fallback 1 \" non-groff *roff
.if \n[do-fallback]  \{\
.  de MR
.    ie \\n(.$=1 \
.      I \%\\$1
.    el \
.      IR \%\\$1 (\\$2)\\$3
.  .
.\}
.rr do-fallback
.
.
.\" ====================================================================
.SH Syntax
.\" ====================================================================
.
.SY "groff \-m@TMAC_M_PREFIX@mse"
.RI [ flaggor\~ .\|.\|.\&]
.RI [ filer\~ .\|.\|.]
.YS
.
.SY "groff \-m m@TMAC_M_PREFIX@mse"
.RI [ flaggor\~ .\|.\|.\&]
.RI [ filer\~ .\|.\|.]
.YS
.
.
.\" ====================================================================
.SH Beskrivning
.\" ====================================================================
.
.I m@TMAC_M_PREFIX@mse
är en svensk variant av
.IR m@TMAC_M_PREFIX@m .
Alla texter är översatta.
En A4 sida får text som är 13\~cm bred,
3,5\~cm indragning samt är 28,5\~cm hög.
Det finns stöd för brevuppställning enligt svensk standard
för vänster och högerjusterad text.
.
.LP
.B COVER
kan använda
.I se_ms
som argument.
Detta ger ett svenskt försättsblad.
Se
.MR groff_mm @MAN7EXT@
för övriga detaljer.
.
.
.\" ====================================================================
.SH Brev
.\" ====================================================================
.
Tillgängliga brevtyper:
.
.TP
.B ".LT SVV"
Vänsterställd löptext med adressat i position T0 (vänsterställt).
.
.TP
.B ".LT SVH"
Högerställd löptext med adressat i position T4 (passar
fönsterkuvert).
.
.LP
Följande extra LO-variabler används.
.
.TP
.BI ".LO DNAMN\ " namn
Anger dokumentets namn.
.
.TP
.BI ".LO MDAT\ " datum
Mottagarens datum, anges under
.B Ert datum:
.RB ( LetMDAT ).
.
.TP
.BI ".LO BIL\ " sträng
Anger bilaga, nummer eller sträng med
.B Bilaga
.RB ( LetBIL )
som prefix.
.
.TP
.BI ".LO KOMP\ " text
Anger kompletteringsuppgift.
.
.TP
.BI ".LO DBET\ " beteckning
Anger dokumentbeteckning eller dokumentnummer.
.
.TP
.BI ".LO BET\ " beteckning
Anger beteckning
(ärendebeteckning i form av diarienummer eller liknande).
.
.TP
.BI ".LO SIDOR\ " antal
Anger totala antalet sidor och skrivs ut efter sidnumret inom
parenteser.
.
.LP
Om makrot
.B .TP
är definierat anropas det efter utskrift av brevhuvudet.
Där lägger man lämpligen in postadress och annat som brevfot.
.
.
.\" ====================================================================
.SH "Skrivet av"
.\" ====================================================================
.
.MT Jorgen.Hagg@axis.se
Jörgen Hägg
.ME ,
Lund,
Sweden
.
.
.\" ====================================================================
.SH Filer
.\" ====================================================================
.
.TP
.I @MACRODIR@/@TMAC_M_PREFIX@mse.tmac
.TP
.IR @TMAC_MDIR@/se_ * .cov
.
.
.\" ====================================================================
.SH "Se också"
.\" ====================================================================
.
.MR groff_mm @MAN7EXT@
.
.
.\" Restore compatibility mode (for, e.g., Solaris 10/11).
.cp \n[*groff_groff_mmse_7_man_C]
.do rr *groff_groff_mmse_7_man_C
.
.
.\" Local Variables:
.\" coding: utf-8
.\" fill-column: 72
.\" mode: nroff
.\" End:
.\" vim: set filetype=groff textwidth=72:
