#!/bin/sh
#
# Copyright (C) 2025 Free Software Foundation, Inc.
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

groff="${abs_top_builddir:-.}/test-groff"

input='.
.TH foo 1 2025-01-04 "groff test suite"
.SH Name
foo \- frobnicate a bar
.SH
Description
With any luck,
this text is visible.
.'

output=$(printf "%s\n" "$input" | "$groff" -m an -T ascii -P -cbou)
echo "$output"
echo "$output" | grep 'this text is visible'

# vim:set ai et sw=4 ts=4 tw=72:
